Bug 428218 - can't search in more
can't search in more
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: util-linux-ng (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-09 18:52 EST by Mikel Ward
Modified: 2008-01-10 08:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-10 08:02:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikel Ward 2008-01-09 18:52:39 EST
I can't get searching in more to work.

Try something like
more /usr/share/doc/util-linux-ng-2.13/README<Enter>
/MAILING<Enter>

It gives an error "Pattern not found".

It should go to the line matching "MAILING" (I think it positions the match
three lines from the top by default).

The problem seems to exist for upper or lower case search strings.

It's working OK on a RHEL4 box.

# rpm -qf /bin/more
util-linux-ng-2.13-3.2.fc8
Comment 1 Jon Stanley 2008-01-10 01:31:32 EST
Reproduced and confirmed with vanilla build of upstream 2.13.1-rc2.
Comment 2 Jon Stanley 2008-01-10 01:46:45 EST
Also confirmed in upstream git.  
Comment 3 Jon Stanley 2008-01-10 01:56:00 EST
Reported upstream:

To: util-linux-ng@vger.kernel.org
Subject: inability to search in 'more'

The documented search facility of 'more' is broken.  This was reported
to Fedora as https://bugzilla.redhat.com/show_bug.cgi?id=428218 and I
have confirmed that the behavior persists in in a git snapshot as of a
few minutes ago, as well as in 2.13.1-rc2.

Thanks!
-Jon
Comment 4 Jon Stanley 2008-01-10 01:58:42 EST
For the reporter, I'm sure that you know you can use 'less' in the meantime. 
It's much more full-featured, as well :)

Also changed the component to reflect util-linux-ng
Comment 5 Jon Stanley 2008-01-10 08:02:28 EST
I have verified that the behavior is as expected.  If instead of MAILING in your
test, you search for CFLAG, you'll find the correct behavior both in Fedora and
upstream, based on the below explanation.  Closing NOTABUG.

Date: Thu, 10 Jan 2008 13:11:37 +0100
From: Karel Zak <kzak@redhat.com>
To: Jon Stanley <jonstanley@gmail.com>
Cc: util-linux-ng@vger.kernel.org

On Thu, Jan 10, 2008 at 01:53:15AM -0500, Jon Stanley wrote:
> The documented search facility of 'more' is broken.  This was reported
> to Fedora as https://bugzilla.redhat.com/show_bug.cgi?id=428218 and I
> have confirmed that the behavior persists in in a git snapshot as of a
> few minutes ago, as well as in 2.13.1-rc2.

 IMHO the behaviour is correct. I've tested more(8) on Fedora 7,
 RHEL3.7 and Debian 2.2 and I see the same behaviour everywhere.

 rhbz#428218:

> Try something like
> more /usr/share/doc/util-linux-ng-2.13/README<Enter>
> /MAILING<Enter>
>
> It gives an error "Pattern not found".

 Sure, more(8) doesn't looking for the pattern everywhere in the file
 (unlike less(8)). The search facility works between the current
 position and end of file. The current position is at end of screen.

 BTW, the file more.c is unbelievable unreadable junk...

    Karel

-- 
 Karel Zak  <kzak@redhat.com>
Comment 6 Mikel Ward 2008-01-10 08:11:58 EST
Thanks for the explanation Karel.

I'm used to more searching the whole page, but quite likely those systems have a
different version of more, or even less pretending to be more.

Note You need to log in before you can comment on or make changes to this bug.